# Class SessionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.websocket.SessionException

All Implemented Interfaces:
  `Serializable`

public class SessionException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SessionException(String message, Throwable cause, Session session)`

## Method Summary

Modifier and Type
Method
Description
`Session`
`getSession()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SessionException

public SessionException(String message, Throwable cause, Session session)

## Method Details

### getSession

public Session getSession()